
%if 0%{?fedora} > 16
%define rakia 1
%endif

Name:    ktp-accounts-kcm
Summary: KDE Configuration Module for Telepathy Instant Messaging Accounts
Version: 0.5.1
Release: 1%{?dist}

License: LGPLv2+
URL:     https://projects.kde.org/projects/extragear/network/telepathy/%{name}
Source0: http://download.kde.org/unstable/kde-telepathy/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: gettext
BuildRequires: kdelibs4-devel
BuildRequires: ktp-common-internals-devel >= %{version}

Obsoletes: telepathy-kde-accounts-kcm < 0.3.0
Provides:  telepathy-kde-accounts-kcm = %{version}-%{release}

Obsoletes: telepathy-kde-accounts-kcm-plugins < 0.2.0
Provides:  telepathy-kde-accounts-kcm-plugins = %{version}-%{release}

Obsoletes: telepathy-kde-accounts-kcm-devel < 0.2.0

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

# various protocol handlers
## msn (old)
#Requires: telepathy-butterfly
## xmpp/jabber
Requires: telepathy-gabble
## msn (newer, libpurple)
Requires: telepathy-haze
## irc
#Requires: telepathy-idle
%if 0%{?rakia}
## audio calls
Requires: telepathy-rakia >= 0.7.4
%endif
## local xmpp
Requires: telepathy-salut
## gadu/gadu
#Requires: telepathy-sunshine

%description
This is a KControl Module which handles adding/editing/removing Telepathy
Accounts. It interacts with any Telepathy Spec compliant AccountManager
to manipulate the accounts.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: telepathy-qt4-devel
%description devel
%{summary}.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-kde

## unpackaged files
rm -fv %{buildroot}%{_kde4_libdir}/libktpaccountskcminternal.so
rm -fv %{buildroot}%{_kde4_libdir}/kde4/ktpaccountskcm_plugin_{butterfly,sunshine}.so
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_{butterfly,sunshine}.desktop
%if ! 0%{?rakia}
rm -fv %{buildroot}%{_kde4_libdir}/kde4/ktpaccountskcm_plugin_rakia.so
rm -fv %{buildroot}%{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_rakia.desktop
%endif


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING README
%{_kde4_libdir}/libktpaccountskcminternal.so.4*
%{_datadir}/telepathy/profiles/
%{_kde4_libdir}/kde4/kcm_ktp_accounts.so
#{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_butterfly.desktop
#{_kde4_libdir}/kde4/ktpaccountskcm_plugin_butterfly.so
%{_kde4_libdir}/kde4/ktpaccountskcm_plugin_gabble.so
%{_kde4_libdir}/kde4/ktpaccountskcm_plugin_haze.so
%{_kde4_libdir}/kde4/ktpaccountskcm_plugin_idle.so
%if 0%{?rakia}
%{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_rakia.desktop
%{_kde4_libdir}/kde4/ktpaccountskcm_plugin_rakia.so
%endif
%{_kde4_libdir}/kde4/ktpaccountskcm_plugin_salut.so
%{_kde4_datadir}/kde4/services/kcm_ktp_accounts.desktop
%{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_gabble.desktop
%{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_haze.desktop
%{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_idle.desktop
%{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_salut.desktop
%{_kde4_datadir}/kde4/services/settings-im-and-voip.desktop
%{_kde4_datadir}/kde4/servicetypes/ktpaccountskcminternal-accountuiplugin.desktop
#{_kde4_libdir}/kde4/ktpaccountskcm_plugin_sunshine.so
#{_kde4_datadir}/kde4/services/ktpaccountskcm_plugin_sunshine.desktop


%changelog
* Fri Oct 05 2012 Rex Dieter <rdieter@fedoraproject.org> - 0.5.1-1
- 0.5.1

* Mon Aug 27 2012 Rex Dieter <rdieter@fedoraproject.org> 0.5.0-1
- 0.5.0

* Thu Jul 26 2012 Jan Grulich <jgrulich@redhat.com> - 0.4.1-1
- 0.4.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 09 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-2
- (re)enable telepathy-rakia support (#838585)

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.4.0-1
- 0.4.0

* Mon Apr 02 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.1-1
- 0.3.1

* Fri Feb 17 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-4
- drop (unconditionally) butterly, rakia, sunshine
- move Requires: telepathy-mission-control lower in the stack

* Fri Feb 10 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-3
- drop telepathy-sunshine support (f17+)

* Tue Feb 07 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-2
- improve %%description
- drop BR: telepathy-qt4-devel
- omit libktpaccountskcminternal.so

* Tue Jan 24 2012 Rex Dieter <rdieter@fedoraproject.org> 0.3.0-1
- ktp-accounts-kcm-0.3.0

* Fri Nov 25 2011 Rex Dieter <rdieter@fedoraproject.org> 0.2.0-1
- 0.2.0

* Mon Sep 26 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-3
- Requires: telepathy-mission-control

* Wed Sep 14 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source URL
- fix mixed spaces/tabs

* Fri Aug 12 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try


